﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ButtonArray
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            System.Windows.Forms.Button[,] buttonArray = new System.Windows.Forms.Button[3, 3];

            for (int i = 0; i < 3; i++)
            {
                for (int j = 0; j < 3; j++)
                {
                    buttonArray[i, j] = new System.Windows.Forms.Button();
                    buttonArray[i, j].Location = new System.Drawing.Point(j * 80, i * 80);
                    buttonArray[i, j].Size = new System.Drawing.Size(80, 80);
                    buttonArray[i, j].Text = Convert.ToString(j) + " " + Convert.ToString(i);
                    buttonArray[i, j].Click += new System.EventHandler(ButtonArray_Click);

                    this.Controls.Add(buttonArray[i, j]);
                }
            }
        }

        private void ButtonArray_Click(object sender, EventArgs e)
        {
            System.Windows.Forms.Button clickedButton = (System.Windows.Forms.Button)sender;
            MessageBox.Show(clickedButton.Text);
        }
    }
}
